from . import db

class Model(db.Model):
    __tablename__ = 'Models'

    ModelID = db.Column(db.Integer, primary_key=True)
    ModelName = db.Column(db.Text, nullable=False)
    ModelType = db.Column(db.Text, nullable=False)
    CreatedAt = db.Column(db.TIMESTAMP, default=db.func.current_timestamp())
    Description = db.Column(db.Text)
    
    # # 添加与 ModelParameters 表的关系
    # parameters = db.relationship('ModelParameters', backref='model', lazy=True)

class ModelParameters(db.Model):
    __tablename__ = 'ModelParameters'  # 指定表名

    ParamID = db.Column(db.Integer, primary_key=True, autoincrement=True)  # 主键
    ModelID = db.Column(db.Integer, db.ForeignKey('Models.ModelID'), nullable=False)  # 外键，指向 Models 表的 ModelID
    ParamName = db.Column(db.Text, nullable=False)  # 参数名
    ParamValue = db.Column(db.Text, nullable=False)  # 参数值

    # 定义反向关系
    model = db.relationship('Model', backref=db.backref('parameters', lazy=True))